# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import ragmodel_pb2 as ragmodel__pb2


class RagStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.get_rag_model = channel.unary_unary(
                '/Rag/get_rag_model',
                request_serializer=ragmodel__pb2.UserInputs.SerializeToString,
                response_deserializer=ragmodel__pb2.GroundedOutput.FromString,
                )


class RagServicer(object):
    """Missing associated documentation comment in .proto file."""

    def get_rag_model(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_RagServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'get_rag_model': grpc.unary_unary_rpc_method_handler(
                    servicer.get_rag_model,
                    request_deserializer=ragmodel__pb2.UserInputs.FromString,
                    response_serializer=ragmodel__pb2.GroundedOutput.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'Rag', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Rag(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def get_rag_model(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Rag/get_rag_model',
            ragmodel__pb2.UserInputs.SerializeToString,
            ragmodel__pb2.GroundedOutput.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
